databaseChangeLog:
  - changeSet:
      id: create-table-example
      author: niveka
      preConditions:
        - onFail: MARK_RAN
          not:
            tableExists:
              tableName: table_example
      changes:
        - createTable:
            columns:
              - column:
                  autoIncrement: true
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: user_pkey
                  name: id
                  type: BIGINT
              - column:
                  constraints:
                    nullable: false
                  name: username
                  type: VARCHAR(250)
              - column:
                  name: bio
                  type: ${textColumnType}
            tableName: table_example